AnsweredAssumed Answered

imx8mq+4.14.78+yocto:aarch64-poky-linux-gcc: error: unrecognized command line option ‘-mfpu=neon’

Question asked by 传策 薛 on May 14, 2019
Latest reply on Jun 7, 2019 by Diego Adrian Cuevas

Hi community:

 I use imx8mq+4.14.78+yocto bsp,and I "bitbake fsl-image-qt5-validation-imx -c populate_sdk", get the sdk。now I want to compile a ".c" file with options "-mfpu=neon -mfloat-abi=hard"。

but I get follow error:

aarch64-poky-linux-gcc --sysroot=/opt/fsl-imx-wayland/4.14-sumo/sysroots/aarch64-poky-linux -mfpu=neon -mfloat-abi=soft -O3 test_vfp_hard.c -o TEST_VFP_SOFT
aarch64-poky-linux-gcc: error: unrecognized command line option ‘-mfpu=neon’
aarch64-poky-linux-gcc: error: unrecognized command line option ‘-mfloat-abi=soft’
make: *** [soft] Error 1

 

How to fix it?

 

Thanks a lot.

Outcomes